Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041235
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminorhave not tried2019-07-02 15:482019-08-22 14:45
ReportershuehnerView Statuspublic 
Assigned Tocollazoandy4 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revisioncfa6474918cb
ProjectionnoneETAnoneTarget Version3.0PR19Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041235: FIN_AddPaymentFromJournalLine.doExecute is not using bind-params

DescriptionThis code is not using bind-params:

          hsqlScript.append("where ad_isorgincluded('" + journalLine.getOrganization().getId()
              + "', o.id, o.client) <> -1 ");

When fixing please apply new HQL-style.
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on defect 0041391 closedcollazoandy4 Apply HQL style guide to FIN_AddPaymentFromJournalLine 
blocks design defect 0038136 acknowledgedplatform Tracking issue: Find & Fix queries not using bind-params but embedding values into query string 

-  Notes
(0113521)
collazoandy4 (developer)
2019-07-18 14:29

Test Plan
  Go to G/L Journal window and create a new record, Create valid records in Header and Lines tab for current period, click on Complete button and check the process ends without errors
(0113809)
hgbot (developer)
2019-08-05 13:19

Repository: erp/devel/pi
Changeset: cfa6474918cbc9652ad888c2412925538a2fb450
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Thu Jul 18 22:45:56 2019 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/cfa6474918cbc9652ad888c2412925538a2fb450 [^]

Fixes issue 41235:FIN_AddPaymentFromJournalLine.doExecute is not using
bind-params

Use bind params in HQL queries

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_AddPaymentFromJournalLine.java
---
(0113811)
Sandrahuguet (developer)
2019-08-05 13:22

code review + testing ok
(0114202)
hudsonbot (developer)
2019-08-22 14:45

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-07-02 15:48 shuehner New Issue
2019-07-02 15:48 shuehner Assigned To => Triage Finance
2019-07-02 15:48 shuehner Modules => Core
2019-07-02 15:48 shuehner Triggers an Emergency Pack => No
2019-07-02 15:49 shuehner Relationship added blocks 0038136
2019-07-04 12:15 shuehner Target Version => 3.0PR19Q4
2019-07-18 06:58 collazoandy4 Assigned To Triage Finance => collazoandy4
2019-07-18 06:58 collazoandy4 Status new => scheduled
2019-07-18 14:29 collazoandy4 Note Added: 0113521
2019-08-05 09:46 Sandrahuguet Relationship added depends on 0041391
2019-08-05 13:19 hgbot Checkin
2019-08-05 13:19 hgbot Note Added: 0113809
2019-08-05 13:19 hgbot Status scheduled => resolved
2019-08-05 13:19 hgbot Resolution open => fixed
2019-08-05 13:19 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/cfa6474918cbc9652ad888c2412925538a2fb450 [^]
2019-08-05 13:22 Sandrahuguet Review Assigned To => Sandrahuguet
2019-08-05 13:22 Sandrahuguet Note Added: 0113811
2019-08-05 13:22 Sandrahuguet Status resolved => closed
2019-08-05 13:22 Sandrahuguet Fixed in Version => 3.0PR19Q4
2019-08-22 14:45 hudsonbot Checkin
2019-08-22 14:45 hudsonbot Note Added: 0114202


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker